import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimSelectObjectSchema as ClaimSelectObjectSchema } from './ClaimSelect.schema';
import { ClaimIncludeObjectSchema as ClaimIncludeObjectSchema } from './ClaimInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => ClaimSelectObjectSchema).optional(),
  include: z.lazy(() => ClaimIncludeObjectSchema).optional()
}).strict();
export const ClaimArgsObjectSchema = makeSchema();
export const ClaimArgsObjectZodSchema = makeSchema();
